Create Tasktemplate
curl --request POST \
--url https://tms.universal.rollout.com/api/taskTemplates \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"transactionType": "<string>",
"isComplianceChecklist": true,
"officeId": "<string>"
}
'import requests
url = "https://tms.universal.rollout.com/api/taskTemplates"
payload = {
"name": "<string>",
"description": "<string>",
"transactionType": "<string>",
"isComplianceChecklist": True,
"officeId": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
transactionType: '<string>',
isComplianceChecklist: true,
officeId: '<string>'
})
};
fetch('https://tms.universal.rollout.com/api/taskTemplates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"transactionType": "<string>",
"isComplianceChecklist": true,
"officeId": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"rolloutUpdated": "<string>",
"originalIds": {},
"original": {}
}{
"errorMessage": "<string>"
}{
"errorMessage": "<string>"
}{
"errorMessage": "<string>"
}Task Templates
Create Tasktemplate
POST /taskTemplates
POST
/
taskTemplates
Create Tasktemplate
POST /taskTemplates
Base URL: https://tms.universal.rollout.com/api
Parameters
No parameters.Responses
| Status | Description |
|---|---|
201 | Created |
400 | Bad Request |
409 | Conflict |
500 | Internal Server Error |
OpenAPI Source
/openapi/tms.json POST /taskTemplatesBody
application/jsonmultipart/form-datatext/plain
Response
Created
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I